Subject: Re: [PATCH v2] ptp: free ptp clock properly

From: Richard Cochran <[email-masked]>
Date: Mon, 9 Mar 2020 19:57:37 -0700

On Mon, Mar 09, 2020 at 06:22:38PM +0100, Andrea Righi wrote:
> There is a bug in ptp_clock_unregister() where pps_unregister_source()
> can free up resources needed by posix_clock_unregister() to properly
> destroy a related sysfs device.

This text is inadequate.  It does not identify the problem.  What
resources?  Which related device?

> Fix this by calling pps_unregister_source() in ptp_clock_release().

This statement is redundant, as we can see that from the patch itself.
Instead of saying WHAT the patch does, please explain WHY that fixes
the issue (which, as I said, you still need to identify).

Thanks,
Richard